> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dependent Agents List

> Get a list of agents depending on this knowledge base document



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/knowledge-base/{documentation_id}/dependent-agents
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/knowledge-base/{documentation_id}/dependent-agents:
    get:
      tags:
        - Agents Platform
      summary: Get Dependent Agents List
      description: Get a list of agents depending on this knowledge base document
      operationId: get_knowledge_base_dependent_agents
      parameters:
        - name: documentation_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              The id of a document from the knowledge base. This is returned on
              document addition.
            examples:
              - 21m00Tcm4TlvDq8ikWAM
            embed: true
            title: Documentation Id
          description: >-
            The id of a document from the knowledge base. This is returned on
            document addition.
        - name: dependent_type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/KnowledgeBaseDependentType'
            description: Type of dependent agents to return.
            default: all
          description: Type of dependent agents to return.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: >-
              How many documents to return at maximum. Can not exceed 100,
              defaults to 30.
            default: 30
            title: Page Size
          description: >-
            How many documents to return at maximum. Can not exceed 100,
            defaults to 30.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Used for fetching next page. Cursor is returned in the response.
            title: Cursor
          description: Used for fetching next page. Cursor is returned in the response.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetKnowledgeBaseDependentAgentsResponseModel
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KnowledgeBaseDependentType:
      type: string
      enum:
        - direct
        - transitive
        - all
      title: KnowledgeBaseDependentType
    GetKnowledgeBaseDependentAgentsResponseModel:
      properties:
        agents:
          items:
            oneOf:
              - $ref: '#/components/schemas/DependentAvailableAgentIdentifier'
              - $ref: '#/components/schemas/DependentUnknownAgentIdentifier'
            discriminator:
              propertyName: type
              mapping:
                available:
                  $ref: '#/components/schemas/DependentAvailableAgentIdentifier'
                unknown:
                  $ref: '#/components/schemas/DependentUnknownAgentIdentifier'
          type: array
          title: Agents
        branches:
          items:
            $ref: '#/components/schemas/DependentBranchInfo'
          type: array
          title: Branches
        has_more:
          type: boolean
          title: Has More
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - agents
        - has_more
      title: GetKnowledgeBaseDependentAgentsResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DependentAvailableAgentIdentifier:
      properties:
        referenced_resource_ids:
          items:
            type: string
          type: array
          title: Referenced Resource Ids
          description: >-
            If the agent is a transitive dependent, contains IDs of the
            resources that the agent depends on directly.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          const: available
          title: Type
          default: available
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
        access_level:
          type: string
          enum:
            - admin
            - editor
            - commenter
            - viewer
          title: Access Level
      type: object
      required:
        - id
        - name
        - created_at_unix_secs
        - access_level
      title: DependentAvailableAgentIdentifier
    DependentUnknownAgentIdentifier:
      properties:
        referenced_resource_ids:
          items:
            type: string
          type: array
          title: Referenced Resource Ids
          description: >-
            If the agent is a transitive dependent, contains IDs of the
            resources that the agent depends on directly.
        id:
          type: string
          title: Id
        type:
          type: string
          const: unknown
          title: Type
          default: unknown
      type: object
      required:
        - id
      title: DependentUnknownAgentIdentifier
      description: |-
        A model that represents an agent dependent on a knowledge base/tools
        to which the user has no direct access.
    DependentBranchInfo:
      properties:
        agent_id:
          type: string
          title: Agent Id
        agent_name:
          type: string
          title: Agent Name
        branch_id:
          type: string
          title: Branch Id
        branch_name:
          type: string
          title: Branch Name
        is_main:
          type: boolean
          title: Is Main
      type: object
      required:
        - agent_id
        - agent_name
        - branch_id
        - branch_name
        - is_main
      title: DependentBranchInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````